al_clear_keyboard_state(3)

NAME

al_clear_keyboard_state - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_clear_keyboard_state(ALLEGRO_DISPLAY *display)

DESCRIPTION

Clear the state of the keyboard, emitting ALLEGRO_EVENT_KEY_UP(3) for each currently pressed key. The given display is regarded as the one which had the keyboard focus when the event occurred. In case display is NULL no event is emitted. For most keyboard drivers Allegro maintains its own state of the keyboard, which might get out of sync with the real one. This function is intended to remedy such situation by resetting Allegro's keyboard state to a known default (no key pressed). This is particularly useful in response to ALLEGRO_EVENT_DISPLAY_SWITCH_OUT(3) events.

SEE ALSO

al_get_keyboard_state(3), ALLEGRO_KEYBOARD_STATE(3)

SINCE

5.2.3

    [Unstable API]: This is a new feature and the exact semantics are still being decided upon.